import { DeliveryStreamProcessor } from './delivery-stream-processor';
import { MetaDataExtractionQuery } from '../metadata-extraction-query';
export declare enum JsonParsingEngine {
    JQ_1_6 = "JQ-1.6"
}
export interface MetadataExtractionProcessorOptions {
    readonly engine?: JsonParsingEngine;
    readonly query: MetaDataExtractionQuery;
}
export declare class MetadataExtractionProcessor extends DeliveryStreamProcessor {
    readonly engine: JsonParsingEngine;
    readonly query: MetaDataExtractionQuery;
    constructor(options: MetadataExtractionProcessorOptions);
}
