import { Resource, ResourceProps } from 'aws-cdk-lib';
import { CfnTransitGatewayRegistration } from 'aws-cdk-lib/aws-networkmanager';
import { IConstruct } from 'constructs';
import { IGlobalNetwork } from './global-network';
import { ITransitGateway } from '../ec2';
export interface ITransitGatewayRegistration {
}
declare abstract class TransitGatewayRegistrationBase extends Resource implements ITransitGatewayRegistration {
}
export interface TransitGatewayRegistrationProps extends ResourceProps {
    readonly globalNetwork: IGlobalNetwork;
    readonly transitGateway: ITransitGateway;
}
export declare class TransitGatewayRegistration extends TransitGatewayRegistrationBase {
    readonly globalNetwork: IGlobalNetwork;
    readonly transitGateway: ITransitGateway;
    readonly resource?: CfnTransitGatewayRegistration;
    constructor(scope: IConstruct, id: string, props: TransitGatewayRegistrationProps);
}
export {};
