export declare abstract class AnalyticsEngineVersion {
    abstract readonly name: string;
}
export declare class AthenaSqlEngineVersion extends AnalyticsEngineVersion {
    readonly name: string;
    static readonly AUTO: AthenaSqlEngineVersion;
    static readonly V2: AthenaSqlEngineVersion;
    static readonly V3: AthenaSqlEngineVersion;
    static of(name: string): AthenaSqlEngineVersion;
    private constructor();
}
export declare class ApacheSparkEngineVersion extends AnalyticsEngineVersion {
    readonly name: string;
    static readonly AUTO: ApacheSparkEngineVersion;
    static readonly V3: ApacheSparkEngineVersion;
    static of(name: string): ApacheSparkEngineVersion;
    private constructor();
}
